JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Typedefs
juce_CriticalSection.h File Reference

## Classes
class | CriticalSection
| A re-entrant mutex. More...
class | DummyCriticalSection
| A class that can be used in place of a real CriticalSection object, but which doesn't perform any locking. More...
struct | DummyCriticalSection::ScopedLockType
| A dummy scoped-lock type to use with a dummy critical section. More...

## Typedefs
using | ScopedLock = CriticalSection::ScopedLockType
| Automatically locks and unlocks a CriticalSection object.
using | ScopedUnlock = CriticalSection::ScopedUnlockType
| Automatically unlocks and re-locks a CriticalSection object.
using | ScopedTryLock = CriticalSection::ScopedTryLockType
| Automatically tries to lock and unlock a CriticalSection object.